std::__has_iterator_category_helper< _Tp > Class Template Reference
Iterators

## Public Attributes

decltype(__test< _Tp >(0)) typedef | type

## Detailed Description

### template<typename _Tp>
class std::__has_iterator_category_helper< _Tp >

Traits class for iterators.

This class does nothing but define nested typedefs. The general version simply forwards the nested typedefs from the Iterator argument. Specialized versions for pointers and pointers-to-const provide tighter, more correct semantics.

Definition at line 142 of file stl_iterator_base_types.h.

The documentation for this class was generated from the following file:

- stl_iterator_base_types.h